vcl 4.0;

backend default {
	.host			= "haproxy";
	.port			= "80";
	.max_connections	= 300;
	.first_byte_timeout	= 240s;
	.connect_timeout	= 10s;
	.between_bytes_timeout	= 2s;
}
sub vcl_backend_response {
	set beresp.ttl = 5m;
	if (bereq.url ~ "^[^?]*\.(7z|avi|bz2|flac|flv|gz|mka|mkv|mov|mp3|mp4|mpeg|mpg|ogg|ogm|opus|rar|tar|tgz|tbz|txz|wav|webm|xz|zip)(\?.*)?$") {
		unset beresp.http.set-cookie;
		set beresp.do_stream = true;
	}
	return (deliver);
}
